API Reference
Create an API key
Create a Standard API key. Save the plaintext key returned by this operation because it is shown once.
Create a Standard API key. Save the plaintext key returned by this operation because it is shown once.
Endpoint
- Base URL
https://runapi.ai- API version
v1- Authentication
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
JSON bodyRequest
Send values only in the listed request location.
JSON body7 fields
allowed_modelsarray | null
Optional
Optional allowlist of model identifiers.
credit_limit_centsinteger | null
Optional
Optional spending cap in USD cents.
credit_limit_reset_intervalstring | null
Optional
Optional reset cadence for the key spending cap.
Allowed values:daily, weekly, monthly
credit_limit_windowsobject
Optional
Rolling spending caps keyed by 1h, 1d, or 7d; each value contains a positive integer limit_cents.
enabledboolean
Optional
Whether requests using this key are accepted.
Default:true
guardrail_idstring
Optional
Optional guardrail prefix ID to attach at creation.
namestring
Optional
Friendly name for the API key.
03
HTTP 201Success response
POST /api/v1/keys
JSON
{
"allowed_models": [
"gpt-5.4"
],
"created_at": "2026-07-27T10:00:00.000Z",
"credit_limit_cents": 1000,
"credit_limit_reset_interval": "daily",
"credit_limit_windows": {
"1d": {
"limit_cents": 500
},
"1h": {
"limit_cents": 100
},
"7d": {
"limit_cents": 2000
}
},
"enabled": true,
"guardrail_id": "guardrail_123",
"id": "token_123",
"key": "runapi_plaintext_example",
"last_used_at": null,
"masked_token": "runapi_abc...wxyz",
"name": "Production"
}
04
HTTP 401Error response (401)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Authentication required"
}
05
HTTP 403Error response (403)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Management API key required"
}
06
HTTP 403Error response (403)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Account admin required"
}
07
HTTP 400Error response (400)
Response schema
JSON
{
"oneOf": [
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Human-readable validation summary.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Validation messages keyed by public request field, with an array of human-readable strings for each field.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Response example
JSON
{
"error": "page must be an integer"
}
08
HTTP 422Error response (422)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable validation summary.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Validation messages keyed by public request field, with an array of human-readable strings for each field.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Validation failed",
"errors": {
"base": [
"Validation failed"
]
}
}
09
cURL example
CURL
curl -X POST https://runapi.ai/api/v1/keys \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"Production","credit_limit_cents":1000,"credit_limit_reset_interval":"daily","credit_limit_windows":{"1h":{"limit_cents":100},"1d":{"limit_cents":500},"7d":{"limit_cents":2000}},"allowed_models":["gpt-5.4"],"guardrail_id":"guardrail_123"}'